<table class="table">
  <tr>
    <td colspan="3">
      <textarea ng-change="$ctrl.upsertCategories()" ng-model-options='{ debounce: 2000 }' ng-model="$ctrl.categories.value" cols="80" rows="10"></textarea>
    </td>
  </tr>
  <tr>
    <td>
      <button class="btn btn-default" ng-click="$ctrl.resetCategories()">
          Kategorien zurücksetzen
      </button>
    </td>
  </tr>
  <tr>
    <td>Von</td>
    <td>Jahr
      <input type="number" ng-model="c.startyear">
    </td>
    <td>KW
      <input type="number" ng-model="c.startcw">
    </td>
  </tr>
  <tr>
    <td>Bis</td>
    <td>Jahr
      <input type="number" ng-model="c.endyear">
    </td>
    <td>KW
      <input type="number" ng-model="c.endcw">
    </td>
  </tr>
  <tr>
    <td colspan="3" class="text-center">
      <button class="btn btn-default" ng-click="update()">Ok</button>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="text-center">
      <button class="btn btn-default" ng-click="$ctrl.ExportODS()">
        Inventur als XLSX exportieren
      </button>
    </td>
  </tr>
</table>

<h2>
  Kontostände zum Ende des Inventurzeitraums
</h2>
<table class="table">
  <tr ng-repeat="balance in balances">
    <td>{{balance.User.name}}</td>
    <td>{{-balance.balance|number:2}}€</td>
  </tr>
</table>
<h2>Kategorie</h2>
<ul ng-repeat="(key2, value2) in byCategory">
  <li>{{key2}} {{sum(value2)|number :2}}€
  </li>
</ul>
<h2>Haushalt -> Kategorie</h2>
<ul ng-repeat="(key, value) in byHHThenByCategory">
  <li>
    {{key}}
    <ul ng-repeat="(key2, value2) in value">
      <li>{{key2}} {{sum(value2)|number :2}}€
        <i class="fa fa-search-plus btn" ng-click="isCollapsed = !isCollapsed" aria-hidden="true"></i>
        <div class="well" uib-collapse="!isCollapsed">
          <table class="table">
            <tbody>
              <tr ng-repeat="line in value2">
                <td>{{cwToString(line.year,line.cw)}}</td>
                <td>{{line.price|number: 2}}€</td>
              </tr>
            </tbody>
          </table>
        </div>
      </li>
    </ul>
  </li>
</ul>
<h2>Datum -> Kategorie</h2>
<ul ng-repeat="(key, value) in byDateThenByCategory">
  <li>
    {{key}}
    <ul ng-repeat="(key2, value2) in value">
      <li>{{key2}} {{sum(value2)|number :2}}€
        <i class="fa fa-search-plus btn" ng-click="isCollapsed = !isCollapsed" aria-hidden="true"></i>
        <div class="well" uib-collapse="!isCollapsed">
          <table class="table">
            <tbody>
              <tr ng-repeat="line in value2">
                <td>{{line.User.name}}</td>
                <td>{{line.name}}</td>
                <td>{{line.price|number: 2}}€</td>
              </tr>
            </tbody>
          </table>
        </div>
      </li>
    </ul>
  </li>
</ul>
<h2>Haushalt -> Datum -> Kategorie</h2>
<ul ng-repeat="(key, value) in byHHThenByDateThenByCategory">
  <li>
    {{key}}
    <ul ng-repeat="(key2, value2) in value">
      <li>
        {{key2}}
        <ul ng-repeat="(key3, value3) in value2">
          <li>
            {{key3}} {{sum(value3)|number :2}}€
            <i class="fa fa-search-plus btn" ng-click="isCollapsed = !isCollapsed" aria-hidden="true"></i>
            <div class="well" uib-collapse="!isCollapsed">
              <table class="table">
                <tbody>
                  <tr ng-repeat="line in value3">
                    <td>{{line.User.name}}</td>
                    <td>{{line.name}}</td>
                    <td>{{line.price|number: 2}}€</td>
                  </tr>
                </tbody>
              </table>
            </div>
          </li>
        </ul>
      </li>
    </ul>
  </li>
</ul>
